Skip to main content
GET
/
ai-agents
/
integrations
List Integrations
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/integrations \
  --header 'apikey: <api-key>'
[
  {
    "id": "openai",
    "name": "OpenAI",
    "icon": "https://example.com/openai-icon.png",
    "type": "agent",
    "isActive": true,
    "tags": [
      {
        "_id": "<string>",
        "name": "<string>"
      }
    ],
    "metaData": {},
    "appId": []
  }
]

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Query Parameters

type
string

Optional integration type

isActive
boolean

Optional active status

Response

List of integrations matching the filter criteria

id
string
Example:

"openai"

name
string
Example:

"OpenAI"

icon
string
Example:

"https://example.com/openai-icon.png"

type
enum<string>
Available options:
agent,
llm
Example:

"agent"

isActive
boolean
Example:

true

tags
object[]
metaData
object
Example:
{}
appId
string[]
Example:
[]